EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Environments_GetEnvironments',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'Environments_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets all the environments and their servers in the system.'
GO

IF OBJECT_ID('[Environments_GetEnvironments]') IS NOT NULL DROP PROCEDURE [Environments_GetEnvironments]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Environments_GetEnvironments]
AS
BEGIN

	SET NOCOUNT ON

	SELECT * 
	  FROM [Environments_Extended]

END
GO

GRANT EXECUTE ON [Environments_GetEnvironments] TO [OtterUser_Role]