EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Schedules_GetSchedule',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'Schedules_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the specified schedule.'
GO


IF OBJECT_ID('[Schedules_GetSchedule]') IS NOT NULL DROP PROCEDURE [Schedules_GetSchedule]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Schedules_GetSchedule]
(
    @Schedule_Id INT
)   
AS
BEGIN

	SET NOCOUNT ON

	SELECT * 
	  FROM [Schedules_Extended]
     WHERE [Schedule_Id] = @Schedule_Id

END
GO

GRANT EXECUTE ON [Schedules_GetSchedule] TO [OtterUser_Role]