EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'ServerRoles_GetServerRolesSlim',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'ServerRoles_Slim',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets all the servers roles in the system.'
GO


IF OBJECT_ID('[ServerRoles_GetServerRolesSlim]') IS NOT NULL DROP PROCEDURE [ServerRoles_GetServerRolesSlim]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [ServerRoles_GetServerRolesSlim]
AS
BEGIN

    SET NOCOUNT ON

    SELECT * 
      FROM [ServerRoles_Slim] SR
          ORDER BY [ServerRole_Name]

END
GO

GRANT EXECUTE ON [ServerRoles_GetServerRolesSlim] TO [OtterUser_Role]